Arbitrary File Write

2019-10-15T20:29:24
ID NODEJS:1217
Type nodejs
Reporter Oscar Arnflo
Modified 2020-04-02T16:54:14

Description

Overview

Versions of decompress prior to 4.2.1 are vulnerable to Arbitrary File Write. The package fails to prevent extraction of files with relative paths, allowing attackers to write to any folder in the system by including filenames containing../.

Recommendation

Upgrade to version 4.2.1 or later.

References